# Interface BlockTagTree

All Superinterfaces:
  `DocTree`

All Known Subinterfaces:
  `AuthorTree, DeprecatedTree, HiddenTree, ParamTree, ProvidesTree, ReturnTree, SeeTree, SerialDataTree, SerialFieldTree, SerialTree, SinceTree, SpecTree, ThrowsTree, UnknownBlockTagTree, UsesTree, VersionTree`

public interface BlockTagTree extends DocTree
A tree node used as the base class for the different types of block tags.

Since:
  1.8

## Nested Class Summary

### Nested classes/interfaces declared in interface DocTree

`DocTree.Kind`
Modifier and Type
Interface
Description
`static enum`
`DocTree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`String`
`getTagName()`
Returns the name of the tag.

### Methods declared in interface DocTree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(DocTreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`DocTree.Kind`
`getKind()`
Returns the kind of this tree.

## Method Details

### getTagName

String getTagName()
Returns the name of the tag.

Returns:
  the name of the tag